Package com.google.android.exoplayer2.device

## Interface DeviceListener

- All Known Subinterfaces:
    `Player.Listener`
  All Known Implementing Classes:
    `AnalyticsCollector`, `DebugTextViewHelper`, `ExoPlayerTestRunner`, `ImaAdsLoader`

      @Deprecated
      public interface DeviceListener

  Deprecated.
  Use `Player.Listener`.
  A listener for changes of `DeviceInfo` or device volume.

- - ### Method Summary

    All Methods Instance Methods Default Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `onDeviceInfoChanged​(DeviceInfo deviceInfo)` | Deprecated. Called when the device information changes.
    `default void` | `onDeviceVolumeChanged​(int volume, boolean muted)` | Deprecated. Called when the device volume or mute state changes.

- - ### Method Detail

    - #### onDeviceInfoChanged

          default void onDeviceInfoChanged​(DeviceInfo deviceInfo)

      Deprecated.
      Called when the device information changes.

    - #### onDeviceVolumeChanged

          default void onDeviceVolumeChanged​(int volume,
                                             boolean muted)

      Deprecated.
      Called when the device volume or mute state changes.